-- Merci de ne pas editer 

nb_database = 24
database = {}

database[1]={name = "screen:clear()",description = "Efface l'ecran de couleur noir par defaut\nSauf si une couleur est place entre paranthese\n"}
database[2]={name = "screen:print(x,y,text,color)",description = "Affiche sur l'ecran la variable text a la position x et y\nIl sera afficher de la couleur que contient la variable\ncolor\nSi aucune variable de couleur n'est donne le texte\nS'affichera en noir\n"}
database[3]={name = "screen.blit(x,y,img)",description = "Affiche sur l'ecran l'image contenue dans la variable img\nA la position x et y\n"}  
database[4]={name = "screen.flip()",description = "Renverse l'offscreen et l'onscreen l'ecran\n"}
database[5]={name = "screen.waitVblankStart(nb)",description = "Attend jusqu'au nombre specifie de rafraichissement des\nlignes vertical de l'ecran\n"}
database[6]={name = "Image.createEmpty(largeur, hauteur)",description = "Cree une image vide, initialement effacee\n"}
database[7]={name = "Image Image.load(path)",description = "Charge une image au chemin path\n"}
database[8]={name = "Color.new(r, g, b)",description = "Cree un nouvel objet couleur avec les valeurs RGBA\nindiquees\n"}
database[9]={name = "Timer.new([startTime])",description = "Cree un nouvel objet timer, demare a 0 ou a startTime\nen millisecondes si indiquee MAIS ne demarre pas le chrono\n"}
database[10]={name = "Timer:start()",description = "Demarre le chronometre (incrementant de 1 chaque\nmilliseconde),\nou reprend apres avoir ete arrete\n"}
database[11]={name = "Timer:time()",description = "Retourne le temps en millisecondes du chrono\n"}
database[12]={name = "Timer:stop()",description = "Permet de quitter le programme et retourner au xmb\nsans condition\n"}
database[13]={name = "Timer:resume([startTime])",description = "Reinitialise le chrono a 0 par defaut ou startTime en\nmillisecondeset maintient le chrono\nRetourne le temps avant la reinitialisation a la nouvelle\nvaleur\n"}
database[14]={name = "System.Quit()",description = "Permet de quitter le programme et retourner au xmb sans\ncondition\n"}
database[15]={name = "System.sleep(time)",description = "Met en pause l'execution du programme pour un temps\nspecifie en millisecondes\nN'affecte aucun objet de type Timer\n"}
database[16]={name = "System.currentDirectory()",description = "Renvoie sous forme de chaine le repertoire courant.\n"}
database[17]={name = "System.listDirectory([path])",description = "Liste le contenu du repertoire courant ou de celui\ndu chemin specifie.\n"}
database[18]={name = "System.createDirectory(path)",description = "Cree un nouveau dossier.\n"}
database[19]={name = "System.removeDirectory(path)",description = "Supprime un dossier.\n"}
database[20]={name = "System.removeFile(path)",description = "Supprime un fichier.\n"}
database[21]={name = "System.usbDiskModeActivate()",description = "Active le mode USB. Attention: lors de l'ecriture via l'USB\nvers la MS, vous ne devez pas ecrire depuis\nvotre script lua vers la MS, avant de desactiver l'USB,\nautrement le fichier system ou votre MS sera corrompu\net vous devrez reformater votre MS.\n"}
database[22]={name = "System.usbDiskModeDeactivate()",description = "Desactive le mode USB.\n"}
database[23]={name = "System.md5sum(String)",description = "Calcule la somme md5 d'une chaine.\n"}
database[24]={name = "System.getFreeMemory()",description = "Renvoie la memoire libre accessible.\n"}